(custom-set-variables
 '(try-oblique-before-italic-fonts t)
 '(paren-mode (quote sexp) nil (paren))
 '(toolbar-visible-p nil)
 '(user-mail-address "simon@ling.ed.ac.uk")
 '(query-user-mail-address nil)
 '(font-lock-mode t nil (font-lock)))
(custom-set-faces
 '(default ((t (:size "14pt" :family "Fixed"))) t)
 '(font-lock-warning-face ((((class color) (background light)) (:foreground "Red" :family "Fixed" :bold t))))
 '(bold ((t (:size "10" :family "Fixed" :bold t))) t)
 '(bold-italic ((t (:size "10" :family "Fixed" :bold t :italic nil :underline nil))) t)
 '(italic ((t (:size "10" :family "Fixed" :italic nil :underline nil))) t))
(add-hook 'write-file-hooks 'time-stamp)

(require 'tex-site)
(setq tex-default-mode 'LaTeX-mode)

(autoload 'run-prolog "prolog" "Start a Prolog sub-process." t)
(autoload 'prolog-mode "prolog" "Major mode for editing Prolog programs." t)
(setq auto-mode-alist (append '(("\\.pl$" . prolog-mode)
                                ("\\.m$" . mercury-mode))
                                auto-mode-alist))


(setq load-path (cons "/home/simon/.xemacs/tuareg" load-path))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; append-tuareg.el - Tuareg quick installation: Append this file to .emacs.

(setq auto-mode-alist (cons '("\\.ml\\w?" . tuareg-mode) auto-mode-alist))
(autoload 'tuareg-mode "tuareg" "Major mode for editing Caml code" t)
(autoload 'camldebug "camldebug" "Run the Caml debugger" t)

(if (and (boundp 'window-system) window-system)
    (if (string-match "XEmacs" emacs-version)
	(require 'sym-lock)
      (require 'font-lock)))
