#!/bin/sh

args1=$1
args2=$2
wd=$3
ncols=$4
startcounter=$5
compositional=$6
change=$7
nruns=10
tfile=$wd"output.data"
mkdir $wd
counter=0
if [ $startcounter -gt 0 ]
    then
    counter=$startcounter
fi
while [ $counter -lt $nruns ]
  do
  rm $tfile
  date
echo nice -10 java $args1 THSim $args2 .... $counter
  nice -10 java $args1 THSim $args2 > $tfile
  cp $wd"logfile.txt" $wd"logfile"$counter".data"
  gzip $wd"logfile"$counter".data"
  cat $tfile | grep TP > $wd"tp"$counter".data"
  substitute "TP " "" $wd"tp"$counter".data"
  if [ "$change" == "true" ]
      then
      removeline 1 $wd"tp"$counter".data"
  fi
  if [ "$compositional" == "true" ]
      then
      cat $tfile | grep GR > $wd"gr"$counter".data"
      mv $wd"grammar.txt" $wd"grammar"$counter".data"
      gzip $wd"grammar"$counter".data"
      gzip $wd"gr"$counter".data"
  else cat $tfile | grep lx > $wd"lex"$counter".data"
     cat $tfile | grep on > $wd"ont"$counter".data"
     gzip $wd"lex"$counter".data"
     gzip $wd"ont"$counter".data"
  fi
  counter=`expr $counter + 1`
done
compute accumulaterunslnr $wd"tp.data" $wd"testpop.data" $nruns $nruns $ncols true
gzip $wd"tp"*"data"
